Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface DomainObjectSet

    java.lang.Iterable
      org.gradle.api.DomainObjectCollection
          java.util.Collection
              org.gradle.api.DomainObjectSet

All Superinterfaces:
  Iterable, DomainObjectCollection, Collection

    public interface DomainObjectSet
    extends DomainObjectCollection, Set

A `DomainObjectSet` is a specialisation of DomainObjectCollection that guarantees Set semantics.

Parameters:
  `` - The type of domain objects in this set.

Method Summary
`Set` | `findAll(Closure spec)` {@inheritDoc}
`DomainObjectSet` | `matching(Spec spec)` {@inheritDoc}
`DomainObjectSet` | `matching(Closure spec)` {@inheritDoc}
`DomainObjectSet` | `withType(Class type)` {@inheritDoc}

Methods inherited from interface DomainObjectCollection
all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### findAll

    public Set findAll(Closure spec)

  {@inheritDoc}

### matching

    public DomainObjectSet matching(Spec spec)

  {@inheritDoc}

### matching

    public DomainObjectSet matching(Closure spec)

  {@inheritDoc}

### withType

    public DomainObjectSet withType(Class type)

  {@inheritDoc}

Gradle API 1.10